package capitulo02.bloque03;

import java.util.Scanner;

public class Ejercicio04 {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int compra, pago, tempVar;

        System.out.println("Introduzca el importe de su compra en unidades");
        compra = sc.nextInt();

        System.out.println("Introduzca la cantidad de dinero recibida en unidades");
        pago = sc.nextInt();

        if (pago > compra) {
            // Monedas de 100, 50, 20, 5, y 1
            tempVar = pago - compra;

            System.out.println("Se devuelven:\n" + tempVar / 100 + " monedas de 100 unidades");
            tempVar %= 100;

            System.out.println(tempVar / 50 + " monedas de 50 unidades");
            tempVar %= 50;

            System.out.println(tempVar / 20 + " monedas de 20 unidades");
            tempVar %= 20;

            System.out.println(tempVar / 5 + " monedas de 5 unidades");
            tempVar %= 5;

            System.out.println(tempVar + " monedas de 1 unidad");


        } else if (pago == compra){
            System.out.println("No hace falta dar ningún cambio.");
        } else {
            System.out.println("El pago no es suficiente para pagar el importe de la compra.");
        }
    }
}
